Skip to main content
GET
/
workspace
/
roles
/
{role}
Describe a Role
curl --request GET \
  --url https://wks-a1b2c3d4.provisionr.io/api/v1/workspace/roles/{role} \
  --header 'Authorization: Bearer <token>'
{
  "id": "<string>",
  "name": "<string>",
  "default_grant": true,
  "timestamp": {
    "created_at": "2023-11-07T05:31:56Z",
    "updated_at": "2023-11-07T05:31:56Z",
    "deleted_at": "2023-11-07T05:31:56Z"
  },
  "count": {
    "workspace_permissions": 123,
    "workspace_logs_parent": 123,
    "workspace_logs_record": 123,
    "workspace_logs_related": 123,
    "workspace_users": 123
  },
  "included": {
    "workspace_permissions": [
      "<unknown>"
    ],
    "workspace_users": [
      "<unknown>"
    ]
  },
  "links": {
    "permissions": "<string>",
    "self": "<string>",
    "workspace_logs_parent": "<string>",
    "workspace_logs_record": "<string>",
    "workspace_logs_related": "<string>",
    "workspace_users": "<string>"
  }
}

Documentation Index

Fetch the complete documentation index at: https://docs.provisionr.io/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

role
string
required

Workspace Role ID

Query Parameters

include
string

Available includes are permissions, permissions-count, permissions-exists, users, users-count, users-exists. You can include multiple options by separating them with a comma.

Response

WorkspaceRoleDetailedResponseData

id
string
required
Example:

"wsrol_01hq8xyzabc123def456ghi789"

name
string
required

The name of the role. All names are lowercase with only letters and periods. Periods are used for word or namespace separation. All custom roles are automatically prefixed with tenant.

Example:

"workspace.user.viewer"

default_grant
boolean
required

Whether this role is granted to all users by default when they authenticate

Example:

false

timestamp
TimestampBasicData · object
required

The timestamps for the workspace role record

count
object
required

Counts of related resources

included
object
required

Included related resources

API hyperlinks related to the workspace role record